#include <stdio.h>
#include <algorithm>
using namespace std;

int main(void)
{
    int n,k,i,j;
    scanf("%i %i",&n,&k);
    bool Arr[2001];
    for (i=0; i<=n; i++)
        Arr[i]=false;
    for (i=n+1; i<=2000; i++)
        Arr[i]=true;
    for (i=0; i<k; i++)
    {
        scanf("%i",&j);
        Arr[j]=true;
    }
    int res=0;
    for (i=2; i<=2*n; i++)
        for (j=1; j<=i/2; j++)
            if ((!Arr[j]) && (!Arr[i-j]))
            {
                res++;
                break;
            }
    printf("%i\n",res);
}
